﻿Imports System.Web.Http
Imports Newtonsoft.Json


Namespace ElasticSearchApi

	Public NotInheritable Class WebApiConfig
		Private Sub New()
		End Sub
		Public Shared Sub Register(ByVal config As HttpConfiguration)
			GlobalConfiguration.Configuration.Formatters.JsonFormatter.SerializerSettings.ReferenceLoopHandling = ReferenceLoopHandling.Ignore
			' Web API configuration and services

			' Web API routes
			config.MapHttpAttributeRoutes()

			config.Routes.MapHttpRoute(name:= "DefaultApi", routeTemplate:= "api/{controller}/{id}", defaults:= New With {Key .id = RouteParameter.Optional})
		End Sub
	End Class
End Namespace
